Bug 1670090 - Hammer CSV should be deprecated
Summary: Hammer CSV should be deprecated
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: vijsingh
URL:
Whiteboard:
Depends On:
Blocks: 1670092
TreeView+ depends on / blocked
 
Reported: 2019-01-28 14:51 UTC by Bryan Kearney
Modified: 2019-09-26 18:36 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Deprecated Functionality
Doc Text:
This should be marked as deprecated.
Clone Of:
: 1670092 (view as bug list)
Environment:
Last Closed: 2019-05-14 12:39:54 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:40:02 UTC

Description Bryan Kearney 2019-01-28 14:51:01 UTC
With the release of 6.5, we are deprecating hammer-csv. It will be removed in 6.6.

Comment 5 Sachin Ghai 2019-02-28 10:02:29 UTC
All Hammer-csv sub-commands have been updated with deprecation warning except following:

activationkeys
content-hosts
export
import
settings
subscriptions

It makes sense to add the one liner deprecation warning to above sub-commands when we already covered rest of all. There are chances where customer can directly jump on utility without looking at docs. 

Atleast hammer-csv --help - should show the deprecation warning.

Comment 7 Sachin Ghai 2019-03-04 03:22:14 UTC
@BK: please see comment5. Can we fix it please ?

Comment 9 vijsingh 2019-03-08 09:42:51 UTC
Verified ON_QA

Comment 11 dvoss 2019-05-06 13:39:17 UTC
Update: BZ #1706906 is created to flag the Hammer CSV as deprecated in the Satellite 6.5 Release Notes.

Comment 12 dvoss 2019-05-06 13:47:01 UTC
Update: BZ #1706909 is created to add a deprecation note to the Hammer CLI Guide (section 10.14 Hammer CSV)

Comment 15 errata-xmlrpc 2019-05-14 12:39:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.